petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatSTRUMPACKSetHSSRelTol

Set STRUMPACK relative tolerance for HSS compression Logically Collective on Mat

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKSetHSSRelTol(Mat F,PetscReal rtol)

### Input Parameters

| F | - the factored matrix obtained by calling MatGetFactor() from PETSc-STRUMPACK interface
| rtol | - relative compression tolerance

### Options Database

-mat_strumpack_hss_rel_tol <1e -2> - Relative compression tolerance (None)

### References

STRUMPACK manual -

### See Also

MatGetFactor()

### Level

beginner

### Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html

### Implementations

MatSTRUMPACKSetHSSRelTol_STRUMPACK in src/mat/impls/aij/mpi/strumpack/strumpack.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages